apiVersion: v1
kind: Template
labels:
  template: mongo-template
metadata:
  name: mongo-template
objects:
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    labels:
      app: mongo
    name: mongo
  spec:
    replicas: 1
    selector:
      app: mongo
      deploymentconfig: mongo
    strategy:
      activeDeadlineSeconds: 21600
      resources: {}
      rollingParams:
        intervalSeconds: 1
        maxSurge: 25%
        maxUnavailable: 25%
        timeoutSeconds: 600
        updatePeriodSeconds: 1
      type: Rolling
    template:
      metadata:
        labels:
          app: mongo
          deploymentconfig: mongo
      spec:
        containers:
        - image: mongo:latest
          imagePullPolicy: Always
          name: mongo
          ports:
          - containerPort: 27017
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /data/configdb
            name: mongo-1
          - mountPath: /data/db
            name: mongo-2
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - emptyDir: {}
          name: mongo-1
        - emptyDir: {}
          name: mongo-2
    test: false
    triggers:
    - type: ConfigChange
    - imageChangeParams:
        automatic: true
        containerNames:
        - mongo
        from:
          kind: ImageStreamTag
          name: mongo:latest
      type: ImageChange
- apiVersion: v1
  kind: ImageStream
  metadata:
    labels:
      app: mongo
    name: mongo
  spec:
    lookupPolicy:
      local: false
    tags:
    - annotations:
        openshift.io/imported-from: mongo:latest
      from:
        kind: DockerImage
        name: mongo:latest
      importPolicy: {}
      name: latest
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: mongo
    name: mongo
  spec:
    ports:
    - name: 27017-tcp
      port: 27017
      protocol: TCP
      targetPort: 27017
    selector:
      deploymentconfig: mongo
    sessionAffinity: None
    type: ClusterIP
